2009/3/31 Benny Malengier <benny.malengier@gmail.com>


2009/3/31 Kyle Davenport <kdavenpo@tx.rr.com>

It's the gramps-3.1.1-1jv.fc10.noarch.rpm off your site.   I'm running
Fedora 10; Python 2.5.2

I see. It appears you have found a bug. I submitted a report about it: http://www.gramps-project.org/bugs/view.php?id=2880

Untill this is fixed (3.1.2 normally), working via xml is your only option (or you should subscribe to the bug and obtain subversion branch after fixed in the code).

I made a fix, but as I do not have the new API in my kubuntu setup I cannot really test if all is fixed. 
If you could go to
http://gramps.svn.sourceforge.net/viewvc/gramps/branches/gramps31/src/plugins/import/ImportGrdb.py?view=log
and download the last version of the ImportGrdb.py file, and save it as root as

/usr/share/gramps/plugins/import/ImportGrdb.py

overwriting the old version.
On start of GRAMPS, import of grdb should work if old environment is present.

Benny